// Copyright 1994, 1995 by Jon Dart.  All Rights Reserved.
// srcoptsh.h : header file
//
#ifndef __SRCOPTSH_H__
#define __SRCOPTSH_H__

#include "types.h"
#include "timectrl.h"
#include "resource.h"
#include "searchop.h"

/////////////////////////////////////////////////////////////////////////////
// CSearchOptionsSheet

class CSearchOptionsSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CSearchOptionsSheet)

// Construction
public:
	CSearchOptionsSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CSearchOptionsSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
	void setOpts(const Search_Limit_Options &opts);

        Search_Limit_Options opts;
	
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSearchOptionsSheet)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSearchOptionsSheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CSearchOptionsSheet)
        afx_msg void OnHelp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

		
};

/////////////////////////////////////////////////////////////////////////////
#endif
